/*******************************************************************************
 *
 * OpenBlueSky - Enhanced NetBeans RCP Components
 * =====================================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://openbluesky.dev.java.net
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id: ComponentPrintCookie.java,v 0364c829130a 2009/12/28 16:05:52 fabrizio $
 *
 ******************************************************************************/
package it.tidalwave.netbeans.print;

import java.awt.Component;
//import it.tidalwave.image.EditableImage;
//import it.tidalwave.image.op.CaptureOp;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: ComponentPrintCookie.java,v 0364c829130a 2009/12/28 16:05:52 fabrizio $
 *
 ******************************************************************************/
public final class ComponentPrintCookie extends EditableImagePrintCookie // FIXME: move in a specitic package because of the Mistral dependency
  {
    private final Component component;
    
    public ComponentPrintCookie (final Component component) 
      {
        if (component == null)
          {
            throw new IllegalArgumentException("component is mandatory");  
          }
        
        this.component = component;
      }

//    protected EditableImage getEditableImage()
//      {
//        return EditableImage.create(new CaptureOp(component));
//      }
  }
